Bug 113819 - FILEOPEN: PPTX: Wave animation is incorrect
Summary: FILEOPEN: PPTX: Wave animation is incorrect
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: PPTX Custom-Animations
  Show dependency treegraph
 
Reported: 2017-11-14 10:21 UTC by Xisco Faulí
Modified: 2018-11-16 03:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
wave (33.78 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-11-14 10:21 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-11-14 10:21:53 UTC
Created attachment 137741 [details]
wave

Steps to reproduce:
1. Open attached document
2. Pres F5

Observed behaviour: End position is incorrect after the animation and the text doesn't do the animation

Reproduced in

Version: 6.0.0.0.alpha1+
Build ID: a7f961ddd88df4117de5f7c199881cf75d2905b5
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: th-TH (ca_ES.UTF-8); Calc: group

and

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

although the animation in 4.3 was much worse than in master
Comment 1 Xisco Faulí 2017-11-14 11:00:49 UTC
It seems the behaviour of the animation improved after 386748d514fe1c84e4d373b828841308580665a8.
@Regina, would you mind taking a look at this issue when you have some time?
Comment 2 Mohamed 2017-11-15 09:07:20 UTC
If the shape should end up like the initial position, the shape end sloped however the text was animated.

Tested on :
    • Operating system : Windows 8.1 Pro 64-bits.
    • LibreOffice : Version: 5.4.3.1 (x64)
      Build ID: 32c8895c6cae21571f364dbb059f419a743ee44d
      CPU threads: 4; OS: Windows 6.29; UI render: default; 
      Locale: en-US (en_US); Calc: group

And also on :
    • Operating system : Ubuntu 16.04.3 64-bits.
    • LibreOffice :Version: 5.4.3.1
      Build ID: 32c8895c6cae21571f364dbb059f419a743ee44d
      CPU threads: 8; OS: Linux 4.4; UI render: default; VCL: gtk2; 
      Locale: ja-JP (ja_JP.UTF-8); Calc: group
Comment 3 Regina Henschel 2017-11-15 13:13:40 UTC
The setting "Text animation" of page "Effect" of the animation properties is wrong. It has "All at once" but it should be "Letter by Letter".

The dialog in PowerPoint 2010 looks identical to the dialog in LibreOffice, so that you can compare the settings easily. In PowerPoint you need to open the "Animation pane" to access the dialog.

I have tested it in Version: 6.0.0.0.alpha1+
Build ID: 2bea600f0295cab7fad3edb55f0c5e092640e49e
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: de-DE (de_DE); Calc: group
Comment 4 QA Administrators 2018-11-16 03:42:39 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug